<?php
include '../connection.php';
/*
 * DataTables example server-side processing script.
 *
 * Please note that this script is intentionally extremely simple to show how
 * server-side processing can be implemented, and probably shouldn't be used as
 * the basis for a large complex system. It is suitable for simple use cases as
 * for learning.
 *
 * See http://datatables.net/usage/server-side for full details on the server-
 * side processing requirements of DataTables.
 *
 * @license MIT - http://datatables.net/license_mit
 */
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */
 
// DB table to use
$table = 'markers';
 
// Table's primary key
$primaryKey = 'id';
 
// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
    array(
        'db'        => 'id',
        'dt'        => 0        
    ), 
    array(
        'db'        => 'target',
        'dt'        => 1        
    ), 
    array(
        'db'        => 'qrcode',
        'dt'        => 2,
        'formatter' => function( $d, $row ) {
            return "<a href='#' data-toggle='modal' data-target='#pictureModal' class='picture' data-markerlocation='qrcodes/$d'><img src='qrcodes/$d' style='width:100px;'></a>";
        }
    ), 
    array(
        'db'        => 'markerLocation',
        'dt'        => 3,
        'formatter' => function( $d, $row ) {
            return "<center><a href='#' data-toggle='modal' data-target='#pictureModal' class='picture' data-markerlocation='$d'><img src='$d' style='width:100px;'></a>
                    <a href='edit_target.php?id=$row[8]' class='btn btn-success btn-circle btn-sm'><i class='fa fa-pencil-alt'></i></a></center>";
        }
    ), 
    array(
        'db'        => 'experienceName',
        'dt'        => 4,
        'formatter' => function( $d, $row ) {
            return "$d <a href='#' data-toggle='modal' data-target='#EditNameModal' class='btn btn-success btn-circle btn-sm edit' data-id ='$row[0]' data-targetname ='$d'><i class='fa fa-pencil-alt'></i></a>";
        }
    ), 
    array(
        'db'        => 'arType',
        'dt'        => 5,
        'formatter' => function( $d, $row ) {
            if($d == 'markerbased'){return 'Baseado em marcador'; }else{return 'Sem marcador';};
        }
    ), 
    array(
        'db'        => 'gallery',
        'dt'        => 6,
        'formatter' => function( $d, $row ) {
            if($d){
                return "<form id='gallery$row[0]' method='post'>
                                <input type='text' name='id' value='$row[0]' style='display:none;'>
                                <input type='hidden' value='0' name='cBox'>
                                <input type='checkbox' name='cBox' value='1' onchange='this.form.submit()' checked>
                                <input type='submit' name='btnsubmit' value='submit' style='display:none;'>
                            </form>";
             
            }else{
                return "<form id='gallery$row[0]' method='post'>
                                <input type='text' name='id' value='$row[0]' style='display:none;'>
                                <input type='hidden' value='0' name='cBox'>
                                <input type='checkbox' name='cBox' value='1' onchange='this.form.submit()'>
                                <input type='submit' name='btnsubmit' value='submit' style='display:none;'>
                            </form>";
            }
        }
    ), 
    array( 'db' => 'views',     'dt' => 7 ),    
    array(
        'db'        => 'markerName',
        'dt'        => 8,
        'formatter' => function( $d, $row ) {
            return "<a href='viewAR?tn=$d' class='btn btn-primary'><i class='fa fa-eye'></i> Visualizar</a>
                    <a href='analyticsKeys.php?id=$d' class='btn btn-success'><i class='fa fa-key'></i> Pixel</a>
                    <a class='btn btn-success' style='color:white;' onClick='(function(something){if (window.vuplex) { window.vuplex.postMessage({ type: \"buttonClick\", message: \"$d?markerbasedwebar\" }); }else{ window.location.href = \"editor/?$d?$row[5]\"; } })(\"$d\")'><i class='fa fa-pencil-alt'></i> Editar</a>
                    <a href='#' data-toggle='modal' data-target='#DeleteModal' class='btn btn-danger delete' data-targetlocation ='$row[1]' data-imagelocation ='$row[3]' data-qrlocation ='$row[2]' data-imageid ='$d'><i class='fas fa-trash'></i> Deletar</a>";
        }
    ), 
);
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
 
require( '../DataTables-master/examples/server_side/scripts/ssp.class.php' );
 
echo json_encode(
    SSP::simple( $_GET, $sql_details, $table, $primaryKey, $columns )
);