{"payload":{"allShortcutsEnabled":false,"fileTree":{"":{"items":[{"name":"dist","path":"dist","contentType":"directory"},{"name":"LICENSE.md","path":"LICENSE.md","contentType":"file"},{"name":"README.md","path":"README.md","contentType":"file"},{"name":"gesture-detector.js","path":"gesture-detector.js","contentType":"file"},{"name":"gesture-handler.js","path":"gesture-handler.js","contentType":"file"},{"name":"image-tracking.html","path":"image-tracking.html","contentType":"file"},{"name":"index.html","path":"index.html","contentType":"file"},{"name":"styles.css","path":"styles.css","contentType":"file"}],"totalCount":8}},"fileTreeProcessingTime":2.117841,"foldersToFetch":[],"reducedMotionEnabled":null,"repo":{"id":267175814,"defaultBranch":"master","name":"arjs-gestures","ownerLogin":"fcor","currentUserCanPush":false,"isFork":false,"isEmpty":false,"createdAt":"2020-05-26T23:46:24.000Z","ownerAvatar":"https://avatars.githubusercontent.com/u/21111451?v=4","public":true,"private":false,"isOrgOwned":false},"symbolsExpanded":false,"treeExpanded":true,"refInfo":{"name":"master","listCacheKey":"v0:1590536826.0","canEdit":false,"refType":"branch","currentOid":"c08e69e5741d87d36e2a999a6103f11b92f5acd9"},"path":"gesture-detector.js","currentUser":null,"blob":{"rawLines":["// Component that detects and emits events for touch gestures","","AFRAME.registerComponent(\"gesture-detector\", {","  schema: {","    element: { default: \"\" }","  },","","  init: function() {","    this.targetElement =","      this.data.element && document.querySelector(this.data.element);","","    if (!this.targetElement) {","      this.targetElement = this.el;","    }","","    this.internalState = {","      previousState: null","    };","","    this.emitGestureEvent = this.emitGestureEvent.bind(this);","","    this.targetElement.addEventListener(\"touchstart\", this.emitGestureEvent);","","    this.targetElement.addEventListener(\"touchend\", this.emitGestureEvent);","","    this.targetElement.addEventListener(\"touchmove\", this.emitGestureEvent);","  },","","  remove: function() {","    this.targetElement.removeEventListener(\"touchstart\", this.emitGestureEvent);","","    this.targetElement.removeEventListener(\"touchend\", this.emitGestureEvent);","","    this.targetElement.removeEventListener(\"touchmove\", this.emitGestureEvent);","  },","","  emitGestureEvent(event) {","    const currentState = this.getTouchState(event);","","    const previousState = this.internalState.previousState;","","    const gestureContinues =","      previousState &&","      currentState &&","      currentState.touchCount == previousState.touchCount;","","    const gestureEnded = previousState && !gestureContinues;","","    const gestureStarted = currentState && !gestureContinues;","","    if (gestureEnded) {","      const eventName =","        this.getEventPrefix(previousState.touchCount) + \"fingerend\";","","      this.el.emit(eventName, previousState);","","      this.internalState.previousState = null;","    }","","    if (gestureStarted) {","      currentState.startTime = performance.now();","","      currentState.startPosition = currentState.position;","","      currentState.startSpread = currentState.spread;","","      const eventName =","        this.getEventPrefix(currentState.touchCount) + \"fingerstart\";","","      this.el.emit(eventName, currentState);","","      this.internalState.previousState = currentState;","    }","","    if (gestureContinues) {","      const eventDetail = {","        positionChange: {","          x: currentState.position.x - previousState.position.x,","","          y: currentState.position.y - previousState.position.y","        }","      };","","      if (currentState.spread) {","        eventDetail.spreadChange = currentState.spread - previousState.spread;","      }","","      // Update state with new data","","      Object.assign(previousState, currentState);","","      // Add state data to event detail","","      Object.assign(eventDetail, previousState);","","      const eventName =","        this.getEventPrefix(currentState.touchCount) + \"fingermove\";","","      this.el.emit(eventName, eventDetail);","    }","  },","","  getTouchState: function(event) {","    if (event.touches.length === 0) {","      return null;","    }","","    // Convert event.touches to an array so we can use reduce","","    const touchList = [];","","    for (let i = 0; i < event.touches.length; i++) {","      touchList.push(event.touches[i]);","    }","","    const touchState = {","      touchCount: touchList.length","    };","","    // Calculate center of all current touches","","    const centerPositionRawX =","      touchList.reduce((sum, touch) => sum + touch.clientX, 0) /","      touchList.length;","","    const centerPositionRawY =","      touchList.reduce((sum, touch) => sum + touch.clientY, 0) /","      touchList.length;","","    touchState.positionRaw = { x: centerPositionRawX, y: centerPositionRawY };","","    // Scale touch position and spread by average of window dimensions","","    const screenScale = 2 / (window.innerWidth + window.innerHeight);","","    touchState.position = {","      x: centerPositionRawX * screenScale,","      y: centerPositionRawY * screenScale","    };","","    // Calculate average spread of touches from the center point","","    if (touchList.length >= 2) {","      const spread =","        touchList.reduce((sum, touch) => {","          return (","            sum +","            Math.sqrt(","              Math.pow(centerPositionRawX - touch.clientX, 2) +","                Math.pow(centerPositionRawY - touch.clientY, 2)","            )","          );","        }, 0) / touchList.length;","","      touchState.spread = spread * screenScale;","    }","","    return touchState;","  },","","  getEventPrefix(touchCount) {","    const numberNames = [\"one\", \"two\", \"three\", \"many\"];","","    return numberNames[Math.min(touchCount, 4) - 1];","  }","});"],"stylingDirectives":[[{"start":0,"end":61,"cssClass":"pl-c"}],[],[{"start":0,"end":6,"cssClass":"pl-c1"},{"start":6,"end":7,"cssClass":"pl-kos"},{"start":7,"end":24,"cssClass":"pl-en"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":25,"end":43,"cssClass":"pl-s"},{"start":43,"end":44,"cssClass":"pl-kos"},{"start":45,"end":46,"cssClass":"pl-kos"}],[{"start":2,"end":8,"cssClass":"pl-c1"},{"start":10,"end":11,"cssClass":"pl-kos"}],[{"start":4,"end":11,"cssClass":"pl-c1"},{"start":13,"end":14,"cssClass":"pl-kos"},{"start":15,"end":22,"cssClass":"pl-c1"},{"start":24,"end":26,"cssClass":"pl-s"},{"start":27,"end":28,"cssClass":"pl-kos"}],[{"start":2,"end":3,"cssClass":"pl-kos"},{"start":3,"end":4,"cssClass":"pl-kos"}],[],[{"start":2,"end":6,"cssClass":"pl-en"},{"start":8,"end":16,"cssClass":"pl-k"},{"start":16,"end":17,"cssClass":"pl-kos"},{"start":17,"end":18,"cssClass":"pl-kos"},{"start":19,"end":20,"cssClass":"pl-kos"}],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":23,"end":24,"cssClass":"pl-c1"}],[{"start":6,"end":10,"cssClass":"pl-smi"},{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":15,"cssClass":"pl-c1"},{"start":15,"end":16,"cssClass":"pl-kos"},{"start":16,"end":23,"cssClass":"pl-c1"},{"start":24,"end":26,"cssClass":"pl-c1"},{"start":27,"end":35,"cssClass":"pl-smi"},{"start":35,"end":36,"cssClass":"pl-kos"},{"start":36,"end":49,"cssClass":"pl-en"},{"start":49,"end":50,"cssClass":"pl-kos"},{"start":50,"end":54,"cssClass":"pl-smi"},{"start":54,"end":55,"cssClass":"pl-kos"},{"start":55,"end":59,"cssClass":"pl-c1"},{"start":59,"end":60,"cssClass":"pl-kos"},{"start":60,"end":67,"cssClass":"pl-c1"},{"start":67,"end":68,"cssClass":"pl-kos"},{"start":68,"end":69,"cssClass":"pl-kos"}],[],[{"start":4,"end":6,"cssClass":"pl-k"},{"start":7,"end":8,"cssClass":"pl-kos"},{"start":8,"end":9,"cssClass":"pl-c1"},{"start":9,"end":13,"cssClass":"pl-smi"},{"start":13,"end":14,"cssClass":"pl-kos"},{"start":14,"end":27,"cssClass":"pl-c1"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":29,"end":30,"cssClass":"pl-kos"}],[{"start":6,"end":10,"cssClass":"pl-smi"},{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":24,"cssClass":"pl-c1"},{"start":25,"end":26,"cssClass":"pl-c1"},{"start":27,"end":31,"cssClass":"pl-smi"},{"start":31,"end":32,"cssClass":"pl-kos"},{"start":32,"end":34,"cssClass":"pl-c1"},{"start":34,"end":35,"cssClass":"pl-kos"}],[{"start":4,"end":5,"cssClass":"pl-kos"}],[],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":23,"end":24,"cssClass":"pl-c1"},{"start":25,"end":26,"cssClass":"pl-kos"}],[{"start":6,"end":19,"cssClass":"pl-c1"},{"start":21,"end":25,"cssClass":"pl-c1"}],[{"start":4,"end":5,"cssClass":"pl-kos"},{"start":5,"end":6,"cssClass":"pl-kos"}],[],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":25,"cssClass":"pl-c1"},{"start":26,"end":27,"cssClass":"pl-c1"},{"start":28,"end":32,"cssClass":"pl-smi"},{"start":32,"end":33,"cssClass":"pl-kos"},{"start":33,"end":49,"cssClass":"pl-c1"},{"start":49,"end":50,"cssClass":"pl-kos"},{"start":50,"end":54,"cssClass":"pl-en"},{"start":54,"end":55,"cssClass":"pl-kos"},{"start":55,"end":59,"cssClass":"pl-smi"},{"start":59,"end":60,"cssClass":"pl-kos"},{"start":60,"end":61,"cssClass":"pl-kos"}],[],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":39,"cssClass":"pl-en"},{"start":39,"end":40,"cssClass":"pl-kos"},{"start":40,"end":52,"cssClass":"pl-s"},{"start":52,"end":53,"cssClass":"pl-kos"},{"start":54,"end":58,"cssClass":"pl-smi"},{"start":58,"end":59,"cssClass":"pl-kos"},{"start":59,"end":75,"cssClass":"pl-c1"},{"start":75,"end":76,"cssClass":"pl-kos"},{"start":76,"end":77,"cssClass":"pl-kos"}],[],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":39,"cssClass":"pl-en"},{"start":39,"end":40,"cssClass":"pl-kos"},{"start":40,"end":50,"cssClass":"pl-s"},{"start":50,"end":51,"cssClass":"pl-kos"},{"start":52,"end":56,"cssClass":"pl-smi"},{"start":56,"end":57,"cssClass":"pl-kos"},{"start":57,"end":73,"cssClass":"pl-c1"},{"start":73,"end":74,"cssClass":"pl-kos"},{"start":74,"end":75,"cssClass":"pl-kos"}],[],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":39,"cssClass":"pl-en"},{"start":39,"end":40,"cssClass":"pl-kos"},{"start":40,"end":51,"cssClass":"pl-s"},{"start":51,"end":52,"cssClass":"pl-kos"},{"start":53,"end":57,"cssClass":"pl-smi"},{"start":57,"end":58,"cssClass":"pl-kos"},{"start":58,"end":74,"cssClass":"pl-c1"},{"start":74,"end":75,"cssClass":"pl-kos"},{"start":75,"end":76,"cssClass":"pl-kos"}],[{"start":2,"end":3,"cssClass":"pl-kos"},{"start":3,"end":4,"cssClass":"pl-kos"}],[],[{"start":2,"end":8,"cssClass":"pl-en"},{"start":10,"end":18,"cssClass":"pl-k"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":20,"cssClass":"pl-kos"},{"start":21,"end":22,"cssClass":"pl-kos"}],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":42,"cssClass":"pl-en"},{"start":42,"end":43,"cssClass":"pl-kos"},{"start":43,"end":55,"cssClass":"pl-s"},{"start":55,"end":56,"cssClass":"pl-kos"},{"start":57,"end":61,"cssClass":"pl-smi"},{"start":61,"end":62,"cssClass":"pl-kos"},{"start":62,"end":78,"cssClass":"pl-c1"},{"start":78,"end":79,"cssClass":"pl-kos"},{"start":79,"end":80,"cssClass":"pl-kos"}],[],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":42,"cssClass":"pl-en"},{"start":42,"end":43,"cssClass":"pl-kos"},{"start":43,"end":53,"cssClass":"pl-s"},{"start":53,"end":54,"cssClass":"pl-kos"},{"start":55,"end":59,"cssClass":"pl-smi"},{"start":59,"end":60,"cssClass":"pl-kos"},{"start":60,"end":76,"cssClass":"pl-c1"},{"start":76,"end":77,"cssClass":"pl-kos"},{"start":77,"end":78,"cssClass":"pl-kos"}],[],[{"start":4,"end":8,"cssClass":"pl-smi"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":42,"cssClass":"pl-en"},{"start":42,"end":43,"cssClass":"pl-kos"},{"start":43,"end":54,"cssClass":"pl-s"},{"start":54,"end":55,"cssClass":"pl-kos"},{"start":56,"end":60,"cssClass":"pl-smi"},{"start":60,"end":61,"cssClass":"pl-kos"},{"start":61,"end":77,"cssClass":"pl-c1"},{"start":77,"end":78,"cssClass":"pl-kos"},{"start":78,"end":79,"cssClass":"pl-kos"}],[{"start":2,"end":3,"cssClass":"pl-kos"},{"start":3,"end":4,"cssClass":"pl-kos"}],[],[{"start":2,"end":18,"cssClass":"pl-en"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":24,"cssClass":"pl-s1"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":26,"end":27,"cssClass":"pl-kos"}],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":22,"cssClass":"pl-s1"},{"start":23,"end":24,"cssClass":"pl-c1"},{"start":25,"end":29,"cssClass":"pl-smi"},{"start":29,"end":30,"cssClass":"pl-kos"},{"start":30,"end":43,"cssClass":"pl-en"},{"start":43,"end":44,"cssClass":"pl-kos"},{"start":44,"end":49,"cssClass":"pl-s1"},{"start":49,"end":50,"cssClass":"pl-kos"},{"start":50,"end":51,"cssClass":"pl-kos"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":23,"cssClass":"pl-s1"},{"start":24,"end":25,"cssClass":"pl-c1"},{"start":26,"end":30,"cssClass":"pl-smi"},{"start":30,"end":31,"cssClass":"pl-kos"},{"start":31,"end":44,"cssClass":"pl-c1"},{"start":44,"end":45,"cssClass":"pl-kos"},{"start":45,"end":58,"cssClass":"pl-c1"},{"start":58,"end":59,"cssClass":"pl-kos"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":26,"cssClass":"pl-s1"},{"start":27,"end":28,"cssClass":"pl-c1"}],[{"start":6,"end":19,"cssClass":"pl-s1"},{"start":20,"end":22,"cssClass":"pl-c1"}],[{"start":6,"end":18,"cssClass":"pl-s1"},{"start":19,"end":21,"cssClass":"pl-c1"}],[{"start":6,"end":18,"cssClass":"pl-s1"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":29,"cssClass":"pl-c1"},{"start":30,"end":32,"cssClass":"pl-c1"},{"start":33,"end":46,"cssClass":"pl-s1"},{"start":46,"end":47,"cssClass":"pl-kos"},{"start":47,"end":57,"cssClass":"pl-c1"},{"start":57,"end":58,"cssClass":"pl-kos"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":22,"cssClass":"pl-s1"},{"start":23,"end":24,"cssClass":"pl-c1"},{"start":25,"end":38,"cssClass":"pl-s1"},{"start":39,"end":41,"cssClass":"pl-c1"},{"start":42,"end":43,"cssClass":"pl-c1"},{"start":43,"end":59,"cssClass":"pl-s1"},{"start":59,"end":60,"cssClass":"pl-kos"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":24,"cssClass":"pl-s1"},{"start":25,"end":26,"cssClass":"pl-c1"},{"start":27,"end":39,"cssClass":"pl-s1"},{"start":40,"end":42,"cssClass":"pl-c1"},{"start":43,"end":44,"cssClass":"pl-c1"},{"start":44,"end":60,"cssClass":"pl-s1"},{"start":60,"end":61,"cssClass":"pl-kos"}],[],[{"start":4,"end":6,"cssClass":"pl-k"},{"start":7,"end":8,"cssClass":"pl-kos"},{"start":8,"end":20,"cssClass":"pl-s1"},{"start":20,"end":21,"cssClass":"pl-kos"},{"start":22,"end":23,"cssClass":"pl-kos"}],[{"start":6,"end":11,"cssClass":"pl-k"},{"start":12,"end":21,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-c1"}],[{"start":8,"end":12,"cssClass":"pl-smi"},{"start":12,"end":13,"cssClass":"pl-kos"},{"start":13,"end":27,"cssClass":"pl-en"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":28,"end":41,"cssClass":"pl-s1"},{"start":41,"end":42,"cssClass":"pl-kos"},{"start":42,"end":52,"cssClass":"pl-c1"},{"start":52,"end":53,"cssClass":"pl-kos"},{"start":54,"end":55,"cssClass":"pl-c1"},{"start":56,"end":67,"cssClass":"pl-s"},{"start":67,"end":68,"cssClass":"pl-kos"}],[],[{"start":6,"end":10,"cssClass":"pl-smi"},{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":13,"cssClass":"pl-c1"},{"start":13,"end":14,"cssClass":"pl-kos"},{"start":14,"end":18,"cssClass":"pl-en"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":28,"cssClass":"pl-s1"},{"start":28,"end":29,"cssClass":"pl-kos"},{"start":30,"end":43,"cssClass":"pl-s1"},{"start":43,"end":44,"cssClass":"pl-kos"},{"start":44,"end":45,"cssClass":"pl-kos"}],[],[{"start":6,"end":10,"cssClass":"pl-smi"},{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":24,"cssClass":"pl-c1"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":25,"end":38,"cssClass":"pl-c1"},{"start":39,"end":40,"cssClass":"pl-c1"},{"start":41,"end":45,"cssClass":"pl-c1"},{"start":45,"end":46,"cssClass":"pl-kos"}],[{"start":4,"end":5,"cssClass":"pl-kos"}],[],[{"start":4,"end":6,"cssClass":"pl-k"},{"start":7,"end":8,"cssClass":"pl-kos"},{"start":8,"end":22,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":24,"end":25,"cssClass":"pl-kos"}],[{"start":6,"end":18,"cssClass":"pl-s1"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":28,"cssClass":"pl-c1"},{"start":29,"end":30,"cssClass":"pl-c1"},{"start":31,"end":42,"cssClass":"pl-s1"},{"start":42,"end":43,"cssClass":"pl-kos"},{"start":43,"end":46,"cssClass":"pl-en"},{"start":46,"end":47,"cssClass":"pl-kos"},{"start":47,"end":48,"cssClass":"pl-kos"},{"start":48,"end":49,"cssClass":"pl-kos"}],[],[{"start":6,"end":18,"cssClass":"pl-s1"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":32,"cssClass":"pl-c1"},{"start":33,"end":34,"cssClass":"pl-c1"},{"start":35,"end":47,"cssClass":"pl-s1"},{"start":47,"end":48,"cssClass":"pl-kos"},{"start":48,"end":56,"cssClass":"pl-c1"},{"start":56,"end":57,"cssClass":"pl-kos"}],[],[{"start":6,"end":18,"cssClass":"pl-s1"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":30,"cssClass":"pl-c1"},{"start":31,"end":32,"cssClass":"pl-c1"},{"start":33,"end":45,"cssClass":"pl-s1"},{"start":45,"end":46,"cssClass":"pl-kos"},{"start":46,"end":52,"cssClass":"pl-c1"},{"start":52,"end":53,"cssClass":"pl-kos"}],[],[{"start":6,"end":11,"cssClass":"pl-k"},{"start":12,"end":21,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-c1"}],[{"start":8,"end":12,"cssClass":"pl-smi"},{"start":12,"end":13,"cssClass":"pl-kos"},{"start":13,"end":27,"cssClass":"pl-en"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":28,"end":40,"cssClass":"pl-s1"},{"start":40,"end":41,"cssClass":"pl-kos"},{"start":41,"end":51,"cssClass":"pl-c1"},{"start":51,"end":52,"cssClass":"pl-kos"},{"start":53,"end":54,"cssClass":"pl-c1"},{"start":55,"end":68,"cssClass":"pl-s"},{"start":68,"end":69,"cssClass":"pl-kos"}],[],[{"start":6,"end":10,"cssClass":"pl-smi"},{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":13,"cssClass":"pl-c1"},{"start":13,"end":14,"cssClass":"pl-kos"},{"start":14,"end":18,"cssClass":"pl-en"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":28,"cssClass":"pl-s1"},{"start":28,"end":29,"cssClass":"pl-kos"},{"start":30,"end":42,"cssClass":"pl-s1"},{"start":42,"end":43,"cssClass":"pl-kos"},{"start":43,"end":44,"cssClass":"pl-kos"}],[],[{"start":6,"end":10,"cssClass":"pl-smi"},{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":24,"cssClass":"pl-c1"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":25,"end":38,"cssClass":"pl-c1"},{"start":39,"end":40,"cssClass":"pl-c1"},{"start":41,"end":53,"cssClass":"pl-s1"},{"start":53,"end":54,"cssClass":"pl-kos"}],[{"start":4,"end":5,"cssClass":"pl-kos"}],[],[{"start":4,"end":6,"cssClass":"pl-k"},{"start":7,"end":8,"cssClass":"pl-kos"},{"start":8,"end":24,"cssClass":"pl-s1"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":26,"end":27,"cssClass":"pl-kos"}],[{"start":6,"end":11,"cssClass":"pl-k"},{"start":12,"end":23,"cssClass":"pl-s1"},{"start":24,"end":25,"cssClass":"pl-c1"},{"start":26,"end":27,"cssClass":"pl-kos"}],[{"start":8,"end":22,"cssClass":"pl-c1"},{"start":24,"end":25,"cssClass":"pl-kos"}],[{"start":10,"end":11,"cssClass":"pl-c1"},{"start":13,"end":25,"cssClass":"pl-s1"},{"start":25,"end":26,"cssClass":"pl-kos"},{"start":26,"end":34,"cssClass":"pl-c1"},{"start":34,"end":35,"cssClass":"pl-kos"},{"start":35,"end":36,"cssClass":"pl-c1"},{"start":37,"end":38,"cssClass":"pl-c1"},{"start":39,"end":52,"cssClass":"pl-s1"},{"start":52,"end":53,"cssClass":"pl-kos"},{"start":53,"end":61,"cssClass":"pl-c1"},{"start":61,"end":62,"cssClass":"pl-kos"},{"start":62,"end":63,"cssClass":"pl-c1"},{"start":63,"end":64,"cssClass":"pl-kos"}],[],[{"start":10,"end":11,"cssClass":"pl-c1"},{"start":13,"end":25,"cssClass":"pl-s1"},{"start":25,"end":26,"cssClass":"pl-kos"},{"start":26,"end":34,"cssClass":"pl-c1"},{"start":34,"end":35,"cssClass":"pl-kos"},{"start":35,"end":36,"cssClass":"pl-c1"},{"start":37,"end":38,"cssClass":"pl-c1"},{"start":39,"end":52,"cssClass":"pl-s1"},{"start":52,"end":53,"cssClass":"pl-kos"},{"start":53,"end":61,"cssClass":"pl-c1"},{"start":61,"end":62,"cssClass":"pl-kos"},{"start":62,"end":63,"cssClass":"pl-c1"}],[{"start":8,"end":9,"cssClass":"pl-kos"}],[{"start":6,"end":7,"cssClass":"pl-kos"},{"start":7,"end":8,"cssClass":"pl-kos"}],[],[{"start":6,"end":8,"cssClass":"pl-k"},{"start":9,"end":10,"cssClass":"pl-kos"},{"start":10,"end":22,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":29,"cssClass":"pl-c1"},{"start":29,"end":30,"cssClass":"pl-kos"},{"start":31,"end":32,"cssClass":"pl-kos"}],[{"start":8,"end":19,"cssClass":"pl-s1"},{"start":19,"end":20,"cssClass":"pl-kos"},{"start":20,"end":32,"cssClass":"pl-c1"},{"start":33,"end":34,"cssClass":"pl-c1"},{"start":35,"end":47,"cssClass":"pl-s1"},{"start":47,"end":48,"cssClass":"pl-kos"},{"start":48,"end":54,"cssClass":"pl-c1"},{"start":55,"end":56,"cssClass":"pl-c1"},{"start":57,"end":70,"cssClass":"pl-s1"},{"start":70,"end":71,"cssClass":"pl-kos"},{"start":71,"end":77,"cssClass":"pl-c1"},{"start":77,"end":78,"cssClass":"pl-kos"}],[{"start":6,"end":7,"cssClass":"pl-kos"}],[],[{"start":6,"end":35,"cssClass":"pl-c"}],[],[{"start":6,"end":12,"cssClass":"pl-v"},{"start":12,"end":13,"cssClass":"pl-kos"},{"start":13,"end":19,"cssClass":"pl-en"},{"start":19,"end":20,"cssClass":"pl-kos"},{"start":20,"end":33,"cssClass":"pl-s1"},{"start":33,"end":34,"cssClass":"pl-kos"},{"start":35,"end":47,"cssClass":"pl-s1"},{"start":47,"end":48,"cssClass":"pl-kos"},{"start":48,"end":49,"cssClass":"pl-kos"}],[],[{"start":6,"end":39,"cssClass":"pl-c"}],[],[{"start":6,"end":12,"cssClass":"pl-v"},{"start":12,"end":13,"cssClass":"pl-kos"},{"start":13,"end":19,"cssClass":"pl-en"},{"start":19,"end":20,"cssClass":"pl-kos"},{"start":20,"end":31,"cssClass":"pl-s1"},{"start":31,"end":32,"cssClass":"pl-kos"},{"start":33,"end":46,"cssClass":"pl-s1"},{"start":46,"end":47,"cssClass":"pl-kos"},{"start":47,"end":48,"cssClass":"pl-kos"}],[],[{"start":6,"end":11,"cssClass":"pl-k"},{"start":12,"end":21,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-c1"}],[{"start":8,"end":12,"cssClass":"pl-smi"},{"start":12,"end":13,"cssClass":"pl-kos"},{"start":13,"end":27,"cssClass":"pl-en"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":28,"end":40,"cssClass":"pl-s1"},{"start":40,"end":41,"cssClass":"pl-kos"},{"start":41,"end":51,"cssClass":"pl-c1"},{"start":51,"end":52,"cssClass":"pl-kos"},{"start":53,"end":54,"cssClass":"pl-c1"},{"start":55,"end":67,"cssClass":"pl-s"},{"start":67,"end":68,"cssClass":"pl-kos"}],[],[{"start":6,"end":10,"cssClass":"pl-smi"},{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":13,"cssClass":"pl-c1"},{"start":13,"end":14,"cssClass":"pl-kos"},{"start":14,"end":18,"cssClass":"pl-en"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":28,"cssClass":"pl-s1"},{"start":28,"end":29,"cssClass":"pl-kos"},{"start":30,"end":41,"cssClass":"pl-s1"},{"start":41,"end":42,"cssClass":"pl-kos"},{"start":42,"end":43,"cssClass":"pl-kos"}],[{"start":4,"end":5,"cssClass":"pl-kos"}],[{"start":2,"end":3,"cssClass":"pl-kos"},{"start":3,"end":4,"cssClass":"pl-kos"}],[],[{"start":2,"end":15,"cssClass":"pl-en"},{"start":17,"end":25,"cssClass":"pl-k"},{"start":25,"end":26,"cssClass":"pl-kos"},{"start":26,"end":31,"cssClass":"pl-s1"},{"start":31,"end":32,"cssClass":"pl-kos"},{"start":33,"end":34,"cssClass":"pl-kos"}],[{"start":4,"end":6,"cssClass":"pl-k"},{"start":7,"end":8,"cssClass":"pl-kos"},{"start":8,"end":13,"cssClass":"pl-s1"},{"start":13,"end":14,"cssClass":"pl-kos"},{"start":14,"end":21,"cssClass":"pl-c1"},{"start":21,"end":22,"cssClass":"pl-kos"},{"start":22,"end":28,"cssClass":"pl-c1"},{"start":29,"end":32,"cssClass":"pl-c1"},{"start":33,"end":34,"cssClass":"pl-c1"},{"start":34,"end":35,"cssClass":"pl-kos"},{"start":36,"end":37,"cssClass":"pl-kos"}],[{"start":6,"end":12,"cssClass":"pl-k"},{"start":13,"end":17,"cssClass":"pl-c1"},{"start":17,"end":18,"cssClass":"pl-kos"}],[{"start":4,"end":5,"cssClass":"pl-kos"}],[],[{"start":4,"end":61,"cssClass":"pl-c"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":19,"cssClass":"pl-s1"},{"start":20,"end":21,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":24,"cssClass":"pl-kos"},{"start":24,"end":25,"cssClass":"pl-kos"}],[],[{"start":4,"end":7,"cssClass":"pl-k"},{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":12,"cssClass":"pl-k"},{"start":13,"end":14,"cssClass":"pl-s1"},{"start":15,"end":16,"cssClass":"pl-c1"},{"start":17,"end":18,"cssClass":"pl-c1"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":20,"end":21,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-c1"},{"start":24,"end":29,"cssClass":"pl-s1"},{"start":29,"end":30,"cssClass":"pl-kos"},{"start":30,"end":37,"cssClass":"pl-c1"},{"start":37,"end":38,"cssClass":"pl-kos"},{"start":38,"end":44,"cssClass":"pl-c1"},{"start":44,"end":45,"cssClass":"pl-kos"},{"start":46,"end":47,"cssClass":"pl-s1"},{"start":47,"end":49,"cssClass":"pl-c1"},{"start":49,"end":50,"cssClass":"pl-kos"},{"start":51,"end":52,"cssClass":"pl-kos"}],[{"start":6,"end":15,"cssClass":"pl-s1"},{"start":15,"end":16,"cssClass":"pl-kos"},{"start":16,"end":20,"cssClass":"pl-en"},{"start":20,"end":21,"cssClass":"pl-kos"},{"start":21,"end":26,"cssClass":"pl-s1"},{"start":26,"end":27,"cssClass":"pl-kos"},{"start":27,"end":34,"cssClass":"pl-c1"},{"start":34,"end":35,"cssClass":"pl-kos"},{"start":35,"end":36,"cssClass":"pl-s1"},{"start":36,"end":37,"cssClass":"pl-kos"},{"start":37,"end":38,"cssClass":"pl-kos"},{"start":38,"end":39,"cssClass":"pl-kos"}],[{"start":4,"end":5,"cssClass":"pl-kos"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":20,"cssClass":"pl-s1"},{"start":21,"end":22,"cssClass":"pl-c1"},{"start":23,"end":24,"cssClass":"pl-kos"}],[{"start":6,"end":16,"cssClass":"pl-c1"},{"start":18,"end":27,"cssClass":"pl-s1"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":28,"end":34,"cssClass":"pl-c1"}],[{"start":4,"end":5,"cssClass":"pl-kos"},{"start":5,"end":6,"cssClass":"pl-kos"}],[],[{"start":4,"end":46,"cssClass":"pl-c"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":28,"cssClass":"pl-s1"},{"start":29,"end":30,"cssClass":"pl-c1"}],[{"start":6,"end":15,"cssClass":"pl-s1"},{"start":15,"end":16,"cssClass":"pl-kos"},{"start":16,"end":22,"cssClass":"pl-en"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":24,"cssClass":"pl-kos"},{"start":24,"end":27,"cssClass":"pl-s1"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":29,"end":34,"cssClass":"pl-s1"},{"start":34,"end":35,"cssClass":"pl-kos"},{"start":36,"end":38,"cssClass":"pl-c1"},{"start":39,"end":42,"cssClass":"pl-s1"},{"start":43,"end":44,"cssClass":"pl-c1"},{"start":45,"end":50,"cssClass":"pl-s1"},{"start":50,"end":51,"cssClass":"pl-kos"},{"start":51,"end":58,"cssClass":"pl-c1"},{"start":58,"end":59,"cssClass":"pl-kos"},{"start":60,"end":61,"cssClass":"pl-c1"},{"start":61,"end":62,"cssClass":"pl-kos"},{"start":63,"end":64,"cssClass":"pl-c1"}],[{"start":6,"end":15,"cssClass":"pl-s1"},{"start":15,"end":16,"cssClass":"pl-kos"},{"start":16,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":28,"cssClass":"pl-s1"},{"start":29,"end":30,"cssClass":"pl-c1"}],[{"start":6,"end":15,"cssClass":"pl-s1"},{"start":15,"end":16,"cssClass":"pl-kos"},{"start":16,"end":22,"cssClass":"pl-en"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":24,"cssClass":"pl-kos"},{"start":24,"end":27,"cssClass":"pl-s1"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":29,"end":34,"cssClass":"pl-s1"},{"start":34,"end":35,"cssClass":"pl-kos"},{"start":36,"end":38,"cssClass":"pl-c1"},{"start":39,"end":42,"cssClass":"pl-s1"},{"start":43,"end":44,"cssClass":"pl-c1"},{"start":45,"end":50,"cssClass":"pl-s1"},{"start":50,"end":51,"cssClass":"pl-kos"},{"start":51,"end":58,"cssClass":"pl-c1"},{"start":58,"end":59,"cssClass":"pl-kos"},{"start":60,"end":61,"cssClass":"pl-c1"},{"start":61,"end":62,"cssClass":"pl-kos"},{"start":63,"end":64,"cssClass":"pl-c1"}],[{"start":6,"end":15,"cssClass":"pl-s1"},{"start":15,"end":16,"cssClass":"pl-kos"},{"start":16,"end":22,"cssClass":"pl-c1"},{"start":22,"end":23,"cssClass":"pl-kos"}],[],[{"start":4,"end":14,"cssClass":"pl-s1"},{"start":14,"end":15,"cssClass":"pl-kos"},{"start":15,"end":26,"cssClass":"pl-c1"},{"start":27,"end":28,"cssClass":"pl-c1"},{"start":29,"end":30,"cssClass":"pl-kos"},{"start":31,"end":32,"cssClass":"pl-c1"},{"start":34,"end":52,"cssClass":"pl-s1"},{"start":52,"end":53,"cssClass":"pl-kos"},{"start":54,"end":55,"cssClass":"pl-c1"},{"start":57,"end":75,"cssClass":"pl-s1"},{"start":76,"end":77,"cssClass":"pl-kos"},{"start":77,"end":78,"cssClass":"pl-kos"}],[],[{"start":4,"end":70,"cssClass":"pl-c"}],[],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":21,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-c1"},{"start":24,"end":25,"cssClass":"pl-c1"},{"start":26,"end":27,"cssClass":"pl-c1"},{"start":28,"end":29,"cssClass":"pl-kos"},{"start":29,"end":35,"cssClass":"pl-smi"},{"start":35,"end":36,"cssClass":"pl-kos"},{"start":36,"end":46,"cssClass":"pl-c1"},{"start":47,"end":48,"cssClass":"pl-c1"},{"start":49,"end":55,"cssClass":"pl-smi"},{"start":55,"end":56,"cssClass":"pl-kos"},{"start":56,"end":67,"cssClass":"pl-c1"},{"start":67,"end":68,"cssClass":"pl-kos"},{"start":68,"end":69,"cssClass":"pl-kos"}],[],[{"start":4,"end":14,"cssClass":"pl-s1"},{"start":14,"end":15,"cssClass":"pl-kos"},{"start":15,"end":23,"cssClass":"pl-c1"},{"start":24,"end":25,"cssClass":"pl-c1"},{"start":26,"end":27,"cssClass":"pl-kos"}],[{"start":6,"end":7,"cssClass":"pl-c1"},{"start":9,"end":27,"cssClass":"pl-s1"},{"start":28,"end":29,"cssClass":"pl-c1"},{"start":30,"end":41,"cssClass":"pl-s1"},{"start":41,"end":42,"cssClass":"pl-kos"}],[{"start":6,"end":7,"cssClass":"pl-c1"},{"start":9,"end":27,"cssClass":"pl-s1"},{"start":28,"end":29,"cssClass":"pl-c1"},{"start":30,"end":41,"cssClass":"pl-s1"}],[{"start":4,"end":5,"cssClass":"pl-kos"},{"start":5,"end":6,"cssClass":"pl-kos"}],[],[{"start":4,"end":64,"cssClass":"pl-c"}],[],[{"start":4,"end":6,"cssClass":"pl-k"},{"start":7,"end":8,"cssClass":"pl-kos"},{"start":8,"end":17,"cssClass":"pl-s1"},{"start":17,"end":18,"cssClass":"pl-kos"},{"start":18,"end":24,"cssClass":"pl-c1"},{"start":25,"end":27,"cssClass":"pl-c1"},{"start":28,"end":29,"cssClass":"pl-c1"},{"start":29,"end":30,"cssClass":"pl-kos"},{"start":31,"end":32,"cssClass":"pl-kos"}],[{"start":6,"end":11,"cssClass":"pl-k"},{"start":12,"end":18,"cssClass":"pl-s1"},{"start":19,"end":20,"cssClass":"pl-c1"}],[{"start":8,"end":17,"cssClass":"pl-s1"},{"start":17,"end":18,"cssClass":"pl-kos"},{"start":18,"end":24,"cssClass":"pl-en"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":25,"end":26,"cssClass":"pl-kos"},{"start":26,"end":29,"cssClass":"pl-s1"},{"start":29,"end":30,"cssClass":"pl-kos"},{"start":31,"end":36,"cssClass":"pl-s1"},{"start":36,"end":37,"cssClass":"pl-kos"},{"start":38,"end":40,"cssClass":"pl-c1"},{"start":41,"end":42,"cssClass":"pl-kos"}],[{"start":10,"end":16,"cssClass":"pl-k"},{"start":17,"end":18,"cssClass":"pl-kos"}],[{"start":12,"end":15,"cssClass":"pl-s1"},{"start":16,"end":17,"cssClass":"pl-c1"}],[{"start":12,"end":16,"cssClass":"pl-v"},{"start":16,"end":17,"cssClass":"pl-kos"},{"start":17,"end":21,"cssClass":"pl-en"},{"start":21,"end":22,"cssClass":"pl-kos"}],[{"start":14,"end":18,"cssClass":"pl-v"},{"start":18,"end":19,"cssClass":"pl-kos"},{"start":19,"end":22,"cssClass":"pl-en"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":41,"cssClass":"pl-s1"},{"start":42,"end":43,"cssClass":"pl-c1"},{"start":44,"end":49,"cssClass":"pl-s1"},{"start":49,"end":50,"cssClass":"pl-kos"},{"start":50,"end":57,"cssClass":"pl-c1"},{"start":57,"end":58,"cssClass":"pl-kos"},{"start":59,"end":60,"cssClass":"pl-c1"},{"start":60,"end":61,"cssClass":"pl-kos"},{"start":62,"end":63,"cssClass":"pl-c1"}],[{"start":16,"end":20,"cssClass":"pl-v"},{"start":20,"end":21,"cssClass":"pl-kos"},{"start":21,"end":24,"cssClass":"pl-en"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":25,"end":43,"cssClass":"pl-s1"},{"start":44,"end":45,"cssClass":"pl-c1"},{"start":46,"end":51,"cssClass":"pl-s1"},{"start":51,"end":52,"cssClass":"pl-kos"},{"start":52,"end":59,"cssClass":"pl-c1"},{"start":59,"end":60,"cssClass":"pl-kos"},{"start":61,"end":62,"cssClass":"pl-c1"},{"start":62,"end":63,"cssClass":"pl-kos"}],[{"start":12,"end":13,"cssClass":"pl-kos"}],[{"start":10,"end":11,"cssClass":"pl-kos"},{"start":11,"end":12,"cssClass":"pl-kos"}],[{"start":8,"end":9,"cssClass":"pl-kos"},{"start":9,"end":10,"cssClass":"pl-kos"},{"start":11,"end":12,"cssClass":"pl-c1"},{"start":12,"end":13,"cssClass":"pl-kos"},{"start":14,"end":15,"cssClass":"pl-c1"},{"start":16,"end":25,"cssClass":"pl-s1"},{"start":25,"end":26,"cssClass":"pl-kos"},{"start":26,"end":32,"cssClass":"pl-c1"},{"start":32,"end":33,"cssClass":"pl-kos"}],[],[{"start":6,"end":16,"cssClass":"pl-s1"},{"start":16,"end":17,"cssClass":"pl-kos"},{"start":17,"end":23,"cssClass":"pl-c1"},{"start":24,"end":25,"cssClass":"pl-c1"},{"start":26,"end":32,"cssClass":"pl-s1"},{"start":33,"end":34,"cssClass":"pl-c1"},{"start":35,"end":46,"cssClass":"pl-s1"},{"start":46,"end":47,"cssClass":"pl-kos"}],[{"start":4,"end":5,"cssClass":"pl-kos"}],[],[{"start":4,"end":10,"cssClass":"pl-k"},{"start":11,"end":21,"cssClass":"pl-s1"},{"start":21,"end":22,"cssClass":"pl-kos"}],[{"start":2,"end":3,"cssClass":"pl-kos"},{"start":3,"end":4,"cssClass":"pl-kos"}],[],[{"start":2,"end":16,"cssClass":"pl-en"},{"start":16,"end":17,"cssClass":"pl-kos"},{"start":17,"end":27,"cssClass":"pl-s1"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":29,"end":30,"cssClass":"pl-kos"}],[{"start":4,"end":9,"cssClass":"pl-k"},{"start":10,"end":21,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-c1"},{"start":24,"end":25,"cssClass":"pl-kos"},{"start":25,"end":30,"cssClass":"pl-s"},{"start":30,"end":31,"cssClass":"pl-kos"},{"start":32,"end":37,"cssClass":"pl-s"},{"start":37,"end":38,"cssClass":"pl-kos"},{"start":39,"end":46,"cssClass":"pl-s"},{"start":46,"end":47,"cssClass":"pl-kos"},{"start":48,"end":54,"cssClass":"pl-s"},{"start":54,"end":55,"cssClass":"pl-kos"},{"start":55,"end":56,"cssClass":"pl-kos"}],[],[{"start":4,"end":10,"cssClass":"pl-k"},{"start":11,"end":22,"cssClass":"pl-s1"},{"start":22,"end":23,"cssClass":"pl-kos"},{"start":23,"end":27,"cssClass":"pl-v"},{"start":27,"end":28,"cssClass":"pl-kos"},{"start":28,"end":31,"cssClass":"pl-en"},{"start":31,"end":32,"cssClass":"pl-kos"},{"start":32,"end":42,"cssClass":"pl-s1"},{"start":42,"end":43,"cssClass":"pl-kos"},{"start":44,"end":45,"cssClass":"pl-c1"},{"start":45,"end":46,"cssClass":"pl-kos"},{"start":47,"end":48,"cssClass":"pl-c1"},{"start":49,"end":50,"cssClass":"pl-c1"},{"start":50,"end":51,"cssClass":"pl-kos"},{"start":51,"end":52,"cssClass":"pl-kos"}],[{"start":2,"end":3,"cssClass":"pl-kos"}],[{"start":0,"end":1,"cssClass":"pl-kos"},{"start":1,"end":2,"cssClass":"pl-kos"},{"start":2,"end":3,"cssClass":"pl-kos"}]],"csv":null,"csvError":null,"dependabotInfo":{"showConfigurationBanner":false,"configFilePath":null,"networkDependabotPath":"/fcor/arjs-gestures/network/updates","dismissConfigurationNoticePath":"/settings/dismiss-notice/dependabot_configuration_notice","configurationNoticeDismissed":null,"repoAlertsPath":"/fcor/arjs-gestures/security/dependabot","repoSecurityAndAnalysisPath":"/fcor/arjs-gestures/settings/security_analysis","repoOwnerIsOrg":false,"currentUserCanAdminRepo":false},"displayName":"gesture-detector.js","displayUrl":"https://github.com/fcor/arjs-gestures/blob/master/gesture-detector.js?raw=true","headerInfo":{"blobSize":"4.21 KB","deleteInfo":{"deleteTooltip":"You must be signed in to make or propose changes"},"editInfo":{"editTooltip":"You must be signed in to make or propose changes"},"ghDesktopPath":"https://desktop.github.com","gitLfsPath":null,"onBranch":true,"shortPath":"37b84b7","siteNavLoginPath":"/login?return_to=https%3A%2F%2Fgithub.com%2Ffcor%2Farjs-gestures%2Fblob%2Fmaster%2Fgesture-detector.js","isCSV":false,"isRichtext":false,"toc":null,"lineInfo":{"truncatedLoc":"166","truncatedSloc":"114"},"mode":"file"},"image":false,"isCodeownersFile":null,"isPlain":false,"isValidLegacyIssueTemplate":false,"issueTemplateHelpUrl":"https://docs.github.com/articles/about-issue-and-pull-request-templates","issueTemplate":null,"discussionTemplate":null,"language":"JavaScript","languageID":183,"large":false,"loggedIn":false,"newDiscussionPath":"/fcor/arjs-gestures/discussions/new","newIssuePath":"/fcor/arjs-gestures/issues/new","planSupportInfo":{"repoIsFork":null,"repoOwnedByCurrentUser":null,"requestFullPath":"/fcor/arjs-gestures/blob/master/gesture-detector.js","showFreeOrgGatedFeatureMessage":null,"showPlanSupportBanner":null,"upgradeDataAttributes":null,"upgradePath":null},"publishBannersInfo":{"dismissActionNoticePath":"/settings/dismiss-notice/publish_action_from_dockerfile","dismissStackNoticePath":"/settings/dismiss-notice/publish_stack_from_file","releasePath":"/fcor/arjs-gestures/releases/new?marketplace=true","showPublishActionBanner":false,"showPublishStackBanner":false},"rawBlobUrl":"https://github.com/fcor/arjs-gestures/raw/master/gesture-detector.js","renderImageOrRaw":false,"richText":null,"renderedFileInfo":null,"shortPath":null,"tabSize":8,"topBannersInfo":{"overridingGlobalFundingFile":false,"globalPreferredFundingPath":null,"repoOwner":"fcor","repoName":"arjs-gestures","showInvalidCitationWarning":false,"citationHelpUrl":"https://docs.github.com/en/github/creating-cloning-and-archiving-repositories/creating-a-repository-on-github/about-citation-files","showDependabotConfigurationBanner":false,"actionsOnboardingTip":null},"truncated":false,"viewable":true,"workflowRedirectUrl":null,"symbols":{"timed_out":false,"not_analyzed":false,"symbols":[{"name":"init","kind":"function","ident_start":159,"ident_end":163,"extent_start":159,"extent_end":708,"fully_qualified_name":"init","ident_utf16":{"start":{"line_number":7,"utf16_col":2},"end":{"line_number":7,"utf16_col":6}},"extent_utf16":{"start":{"line_number":7,"utf16_col":2},"end":{"line_number":26,"utf16_col":3}}},{"name":"remove","kind":"function","ident_start":713,"ident_end":719,"extent_start":713,"extent_end":979,"fully_qualified_name":"remove","ident_utf16":{"start":{"line_number":28,"utf16_col":2},"end":{"line_number":28,"utf16_col":8}},"extent_utf16":{"start":{"line_number":28,"utf16_col":2},"end":{"line_number":34,"utf16_col":3}}},{"name":"emitGestureEvent","kind":"method","ident_start":984,"ident_end":1000,"extent_start":984,"extent_end":2675,"fully_qualified_name":"emitGestureEvent","ident_utf16":{"start":{"line_number":36,"utf16_col":2},"end":{"line_number":36,"utf16_col":18}},"extent_utf16":{"start":{"line_number":36,"utf16_col":2},"end":{"line_number":100,"utf16_col":3}}},{"name":"getTouchState","kind":"function","ident_start":2680,"ident_end":2693,"extent_start":2680,"extent_end":4163,"fully_qualified_name":"getTouchState","ident_utf16":{"start":{"line_number":102,"utf16_col":2},"end":{"line_number":102,"utf16_col":15}},"extent_utf16":{"start":{"line_number":102,"utf16_col":2},"end":{"line_number":158,"utf16_col":3}}},{"name":"getEventPrefix","kind":"method","ident_start":4168,"ident_end":4182,"extent_start":4168,"extent_end":4311,"fully_qualified_name":"getEventPrefix","ident_utf16":{"start":{"line_number":160,"utf16_col":2},"end":{"line_number":160,"utf16_col":16}},"extent_utf16":{"start":{"line_number":160,"utf16_col":2},"end":{"line_number":164,"utf16_col":3}}}]}},"copilotInfo":null,"copilotAccessAllowed":false,"csrf_tokens":{"/fcor/arjs-gestures/branches":{"post":"Omz6uTe3kb5qAb4uxyrkcF5pnEvlSf4zuTGLqH88iPBCMmOB1DDAi7VRySEe9ioM8IFvNuYf3bHer4pKURoF1Q"},"/repos/preferences":{"post":"B38_WgfUiSuRxbR57-trzpPX5soPQnQP6uNyRCEIFp1oTaMXE1N8qX2VNz0JrLYOAO46hP2BT55Dv4ptNtQrLg"}}},"title":"arjs-gestures/gesture-detector.js at master · fcor/arjs-gestures"}